+ Responder ao Tópico



  1. #1
    james_labrie
    Visitante

    Padrão Erro no make

    Olá amigos ! estou tentando instalar as bibliotecas GTK+ para o meu Vector Linux SOHO, para eu poder instalar o Firewall Firestater, e depois que eu executo
    o comando ./configure e preciso rodar o comando "make" e "make install" mas quando eu rodo o comando "make", ele exibe a mensagem de erro abaixo:

    make: *** No targets specified and no makefile found. Stop.

    Alguém pode me ajudar ? E qual o precedimento que tenho a fazer ? O kernel do Vector Linux SOHO é 2.4.28

    Abraço :-)

  2. #2
    kenh rythfield
    Visitante

    Padrão Erro no make

    olá james_labrie !! bom comigo isso acontece direto, hehehe ... mais quando vc digita ./configure , ele termina com alguma mensagem dizendo que falta alguma coisa? ou ele termina normal? geralmente comigo quando digito ./configure , e não consigo dar o make , é pq está faltando alguma coisa e na verificação do ./configure, e ele mostra o q é!! da uma verificadinha pra ver se ele num ta pedindo alguma coisa pra vc instalar , se não poste para nós como ele está terminando ... ok?
    um abraço
    até++



  3. #3
    Moderador Avatar de Bruno
    Ingresso
    Nov 2002
    Localização
    Guarapuava-PR
    Posts
    3.928
    Posts de Blog
    1

    Padrão Erro no make

    amigo ele naum ta terminado o comando ./configure e como o amigo ai de cima falou ele pode esta pedindo para vc especificar algo no ./configure posta ai o resultado o ./configure

  4. #4
    james_labrie
    Visitante

    Padrão Erro no make

    Olá ! olha depois do conifgure não exibe nenhum erro, apenas quando eu executo o comando make ! O configure finaliza direitinho, o que pode ser ?



  5. #5

    Padrão Erro no make

    eu acho que o configure nao ta finalizando certo nao, alias tenho certeza

    make: *** No targets specified and no makefile found. Stop.

    no makefile found...
    se nao tem makefile eh pq o configure nao finalizou direito, roda o configure e cole aki todas as mensagens

  6. #6
    james_labrie
    Visitante

    Padrão Erro no make

    Amigos ! o quando eu o comando ./configure, ele finaliza direito, e não da erro algum, somente quando da erro quando eu executo o comando "make", como pode ser problema no configure se ele finaliza sem erro algum ?



  7. #7

    Padrão Erro no make

    james_labrie, o pessoal está pedindo para você colocar o resultado do configure por que provavelmente passou algum erro desapercebido, com outras pessoas olhando fica mais fácil de encontrar o problema...
    Pode ser também que não haja nenhum erro no configure e que falte alguma outra coisa (eu duvido, mas...) porém isso só poderá ser identificado após eliminar a primeira suspeita...

  8. #8
    Moderador Avatar de Bruno
    Ingresso
    Nov 2002
    Localização
    Guarapuava-PR
    Posts
    3.928
    Posts de Blog
    1

    Padrão Erro no make

    amigo posta ai o resultado final do ./configure



  9. #9
    james_labrie
    Visitante

    Padrão Erro no make

    Olá pessoal, abaixo segue o que acontece depois do ./configure

    ---------------------------------------------------------------------------------------------------
    configure: error: Package requirements (glib-2.0 >= 2.7.1 atk >= 1.0.1 pango >= 1.9.0 cairo >= 0.9.2) were not met.
    Consider adjusting the PKG_CONFIG_PATH environment variable if you
    installed software in a non-standard prefix.

    Alternatively you may set the BASE_DEPENDENCIES_CFLAGS and BASE_DEPENDENCIES_LIBS environment variables
    to avoid the need to call pkg-config. See the pkg-config man page for
    more details.
    linux://usr/local/gtk+-2.8.8
    root:#
    ---------------------------------------------------------------------------------------------------

    Dei um ls dentro do diretório para vocêis visualizarem o que contém neles:

    ----------------------------------------------------------------------------------------------------

    linux://usr/local/gtk+-2.8.8
    root:# ls
    AUTHORS README demos/ install-sh*
    COPYING README.cvs-commits depcomp* libtool*
    ChangeLog README.win32 docs/ ltmain.sh
    ChangeLog.pre-1-0 acconfig.h examples/ m4macros/
    ChangeLog.pre-1-2 acinclude.m4 gdk/ makecopyright*
    ChangeLog.pre-2-0 aclocal.m4 gdk-2.0-uninstalled.pc.in makefile.msc
    ChangeLog.pre-2-2 config.guess* gdk-2.0.pc.in missing*
    ChangeLog.pre-2-4 config.h.in gdk-pixbuf/ mkinstalldirs*
    ChangeLog.pre-2-6 config.h.win32 gdk-pixbuf-2.0-uninstalled.pc.in modules/
    HACKING config.h.win32.in gdk-pixbuf-2.0.pc.in perf/
    INSTALL config.log gtk/ po/
    Makefile.am config.sub* gtk+-2.0-uninstalled.pc.in po-properties/
    Makefile.in configure* gtk+-2.0.pc.in sanitize-la.sh*
    NEWS configure.in gtk-doc.make tests/
    NEWS.pre-1-0 contrib/ gtk-zip.sh.in*
    linux://usr/local/gtk+-2.8.8
    root:#
    ----------------------------------------------------------------------------------------------------

    Pronto pessoal ! e agora é com vcs ! (rsrsrsr)

    Abraço e Deus abençõe à todos que estão me ajudando !!!

  10. #10

    Padrão Erro no make

    ehehehe issu pq nao tinha erro :P

    configure: error: Package requirements (glib-2.0 >= 2.7.1 atk >= 1.0.1 pango >= 1.9.0 cairo >= 0.9.2) were not met.

    bom vc vai ter q instalar os pacotes
    glib2
    atk
    pango
    cairo



  11. #11
    Moderador Avatar de Bruno
    Ingresso
    Nov 2002
    Localização
    Guarapuava-PR
    Posts
    3.928
    Posts de Blog
    1

    Padrão Erro no make

    vdd imagine se tivesse erro rs

  12. #12
    james_labrie
    Visitante

    Padrão Erro no make continua !

    Olá amigos ! baixei todos os pacotes que me disseram !

    glib2
    atk
    pango
    cairo

    E ainda não tive sucesso ! continua dando o erro abaixo !

    -------------------------------------------------------------------------
    configure: error: Package requirements (glib-2.0 >= 2.7.1
    atk >= 1.0.1 pango >= 1.9.0 cairo >= 0.9.2) were not met.
    Consider adjusting the PKG_CONFIG_PATH environment
    variable if you installed software in a non-standard prefix.

    Alternatively you may set the BASE_DEPENDENCIES_CFLAGS
    and BASE_DEPENDENCIES_LIBS environment variables
    to avoid the need to call pkg-config. See the pkg-
    config man page for more details.
    ---------------------------------------------------------------------------

    Se alguém puder me ajudar, eu agradeço muito !

    Até +



  13. #13

    Padrão Erro no make

    vc instalou tudo pelo fonte? provavelmente ele instalou tudo em /usr/local/blablabla e o configure nao ta encontrando as libs q ele precisa, bom faz o seguinte

    1) edita o /etc/ld.so.conf e adiciona lah a linha /usr/local/lib
    2) roda ldconfig
    ai tenta o configure denovo

    se num funfar, roda ./configure --help e veja como especificar a pasta das libs, por exemplo

    ./configure --with-atk=/usr/local/atk